<?php
namespace morelang;


/* Get localized post meta */
add_filter('get_post_metadata', 'morelang\ml_post_metadata', 1, 4);
function ml_post_metadata( $value, $object_id, $meta_key, $single ) {
	if ( ! $meta_key ) return $value; // '' is possible, e.g., get all metas in wp-includes/post-template.php#the_meta
	if ( is_protected_meta( $meta_key, 'post' ) || strpos( $meta_key, ML_UID ) !== FALSE )
		return $value;
	$locale = ml_get_locale();
	if ( $locale ) {
		$custom_meta = get_post_meta( $object_id, ml_postmeta_name($meta_key, $locale), $single );
		if ($custom_meta) return $custom_meta;
	}
	return $value;
}


/* Localize list of post custom field */
add_filter('the_meta_key', 'morelang\ml_meta_key', 1, 3);
function ml_meta_key( $html, $key, $value ) {
	// the original $html: "<li><span class='post-meta-key'>$key:</span> $value</li>\n"
	if ( is_protected_meta( $key, 'post' ) || strpos( $key, ML_UID ) !== FALSE )
		return $html;
	$the_id = get_the_ID();
	$f_key = apply_filters( 'morelang_translate_text', $key );
	$locale = ml_get_locale();
	if ( $locale ) {
		$custom_meta = get_post_meta( $the_id, ml_postmeta_name($key, $locale), TRUE );
		if ($custom_meta) {
			return "<li><span class='post-meta-key'>$f_key:</span> $custom_meta</li>\n";
		}
	}
	return $html;
}
